DOMCharacterData::replaceData
DOMComment
DOMCharacterData
PHP Manual

# DOMCharacterData::substringData

(PHP 5)

DOMCharacterData::substringData — Extracts a range of data from the node

### Description

string DOMCharacterData::substringData ( int `$offset` , int `$count` )

Returns the specified substring.

### Parameters

`offset`

  Start offset of substring to extract.

`count`

  The number of characters to extract.

### Return Values

The specified substring. If the sum of `offset` and `count` exceeds the length, then all 16-bit units to the end of the data are returned.

### Errors/Exceptions

`DOM_INDEX_SIZE_ERR`

  Raised if `offset` is negative or greater than the number of 16-bit units in data, or if `count` is negative.

### See Also

- DOMCharacterData::appendData() - Append the string to the end of the character data of the node
- DOMCharacterData::deleteData() - Remove a range of characters from the node
- DOMCharacterData::insertData() - Insert a string at the specified 16-bit unit offset
- DOMCharacterData::replaceData() - Replace a substring within the DOMCharacterData node

DOMCharacterData::replaceData
DOMComment
DOMCharacterData
PHP Manual